Error message when installing behind a corporate firewall


(Simon Lee) #1

Getting the following error message when trying to install something via Atom.
I’ve tried setting the strict-ssl setting to false, as well as pointing the registry back to http rather than https.
Still no dice. Information below

error message

npm ERR! Windows_NT 10.0.16299
npm ERR! argv “C:\Users\\AppData\Local\atom\app-1.30.0\resources\app\apm\bin\node.exe” “C:\Users\\AppData\Local\atom\app-1.30.0\resources\app\apm\node_modules\npm\bin\npm-cli.js” “–globalconfig” “C:\Users\\.atom\.apm\.apmrc” “–userconfig” “C:\Users\\.atom\.apmrc” “install” “C:\Users\\AppData\Local\Temp\d-118821-13560-zn1v7b.tx7ds4i\package.tgz” “–runtime=electron” “–target=2.0.5” “–arch=x64” “–global-style”
npm ERR! node v6.9.5
npm ERR! npm v3.10.10
npm ERR! code UNABLE_TO_GET_ISSUER_CERT_LOCALLY

npm ERR! unable to get local issuer certificate
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! https://github.com/npm/npm/issues

npm versions:

C:\Users\userId>npm --versions
{ npm: ‘6.2.0’,
ares: ‘1.14.0’,
cldr: ‘33.1’,
http_parser: ‘2.8.0’,
icu: ‘62.1’,
modules: ‘64’,
napi: ‘3’,
nghttp2: ‘1.32.0’,
node: ‘10.9.0’,
openssl: ‘1.1.0i’,
tz: ‘2018e’,
unicode: ‘11.0’,
uv: ‘1.22.0’,
v8: ‘6.8.275.24-node.14’,
zlib: ‘1.2.11’ }

npm config

C:\Users<userId>>npm config list
; cli configs
metrics-registry = “http://registry.npmjs.org/
scope = “”
user-agent = “npm/6.2.0 node/v10.9.0 win32 x64”

; userconfig C:\Users<userId>.npmrc
https-proxy = “http://domain:port/”
proxy = “http://domain:port/”
registry = “http://registry.npmjs.org/
strict-ssl = false

; builtin config undefined
prefix = “C:\Users\\AppData\Roaming\npm”

; node bin location = C:\Program Files\nodejs\node.exe
; cwd = C:\Users<userId>
; HOME = C:\Users<userId>
; “npm config ls -l” to show all defaults.


(system) #2

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.